Skip to Content
SendlySendly
API ReferenceProjects

Erase this project's data (emails, events, campaigns, workflows, segments, contacts, templates) but keep the project, its domains and its API keys

POST
/api/users/me/projects/{id}/reset

Erase this project's data (emails, events, campaigns, workflows, segments, contacts, templates) but keep the project, its domains and its API keys.

Requires the projects:write scope — Create, change, reset and delete projects on your account.

cookiebetter-auth.session_token<token>

BetterAuth session cookie. Used by the dashboard / browser clients. When present, the active project is taken from the x-project-id header.

id*string

Response Body

OK

application/json
  1. response
success*true
Value intrue
message*string
Example Request
curl -X POST 'https://api.sendly.now/api/users/me/projects/string/reset'
Example Response
{  "success": true,  "message": "string"}